#!/system/bin/sh
sleep 60
$MODDIR/fpsbooster 2>/dev/null
sh /data/adb/modules/DG/gpu

echo 8148M >/sys/block/zram0/disksize
mkswap /dev/block/zram0
swapon  /dev/block/zram0

chmod 644 /sys/module/workqueue/parameters/power_efficient
echo 'Y' > /sys/module/workqueue/parameters/power_efficient
echo "Interactive" > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor 
echo "90" > /sys/devices/system/cpu/cpufreq/performance/go_hispeed_load 
echo "0" > /sys/devices/system/cpu/cpufreq/performance/above_hispeed_delay 
echo "1" > /sys/devices/system/cpu/cpufreq/performance/boost 
echo "1" > /sys/devices/system/cpu/cpufreq/performance/max_freq_hysteresis 
echo "1" > /sys/devices/system/cpu/cpufreq/performance/align_windows 
echo "performance" > /sys/devices/soc/1c00000.qcom,kgsl-3d0/devfreq/1c00000.qcom,kgsl-3d0/governor 
echo "performance" > /sys/class/kgsl/kgsl-3d0/devfreq/governor 
echo "0" > /sys/module/adreno_idler/parameters/adreno_idler_active 
echo "8" > /sys/module/lazyplug/parameters/nr_possible_cores 
echo "0-7" > /dev/cpuset/foreground/cpus 
echo "0-7" > /dev/cpuset/foreground/boost/cpus 
echo "0-7" > /dev/cpuset/top-app/cpus 
echo "0-7" > /dev/cpuset/audio-app/cpus 
echo "0-7" > /dev/cpuset/background/cpus 
echo "0-7" > /dev/cpuset/camera-daemon/cpus 
echo "0-7" > /dev/cpuset/rt/cpus 
echo '0' > /sys/devices/system/cpu/isolated;
echo '0' > /sys/devices/system/cpu/offline;
echo '0' > /sys/devices/system/cpu/uevent;
echo '1' > /sys/devices/system/cpu/cpufreq/policy0/schedutil/iowait_boost_enable;
echo '1' > /sys/devices/system/cpu/cpufreq/policy4/schedutil/iowait_boost_enable;
echo "1" > /dev/stune/top-app/schedtune.colocate
echo "1" > /dev/stune/top-app/schedtune.sched_boost_enabled
echo "1" > /dev/stune/top-app/schedtune.sched_boost_no_override
echo "0" > /dev/stune/top-app/schedtune.prefer_idle
echo "0" > /dev/stune/top-app/schedtune.boost
echo "0" > /dev/stune/foreground/schedtune.colocate
echo "1" > /dev/stune/foreground/schedtune.sched_boost_enabled
echo "0" > /dev/stune/foreground/schedtune.sched_boost_no_override
echo "0" > /dev/stune/foreground/schedtune.prefer_idle
echo "0" > /dev/stune/foreground/schedtune.boost
echo "0" > /dev/stune/background/schedtune.colocate
echo "1" > /dev/stune/background/schedtune.sched_boost_enabled
echo "0" > /dev/stune/background/schedtune.sched_boost_no_override
echo "0" > /dev/stune/background/schedtune.prefer_idle
echo "0" > /dev/stune/background/schedtune.boost
echo "0" > /dev/stune/schedtune.colocate
echo "1" > /dev/stune/schedtune.sched_boost_enabled
echo "0" > /dev/stune/schedtune.sched_boost_no_override
echo "0" > /dev/stune/schedtune.prefer_idle
echo "0" > /dev/stune/schedtune.boost
echo "0" >  /sys/devices/system/cpu/cpu0/sched_mostly_idle_freq
echo "0" >  /sys/devices/system/cpu/cpu4/sched_mostly_idle_freq
echo "0" >  /sys/devices/system/cpu/cpu2/sched_mostly_idle_freq
echo "0" >  /sys/devices/system/cpu/cpu4/sched_mostly_idle_freq
echo "0" >  /sys/devices/system/cpu/cpu6/sched_mostly_idle_freq
echo "0" >  /sys/devices/system/cpu/cpu1/sched_mostly_idle_freq
chmod 644 /sys/module/workqueue/parameters/power_efficient
echo 'Y' > /sys/module/workqueue/parameters/power_efficient
echo "0" > /sys/devices/system/cpu/cpufreq/performance/above_hispeed_delay 
echo "1" > /sys/devices/system/cpu/cpufreq/performance/boost 
echo "1" > /sys/module/msm_performance/parameters/touchboost 
echo "1" > /sys/devices/system/cpu/cpufreq/performance/max_freq_hysteresis 
echo "1" > /sys/devices/system/cpu/cpufreq/performance/align_windows 
echo "0" > /sys/module/adreno_idler/parameters/adreno_idler_active 

# Disables GPU debugging
echo "0" > /sys/kernel/debug/kgsl/kgsl-3d0/log_level_cmd
echo "0" > /sys/kernel/debug/kgsl/kgsl-3d0/log_level_ctxt
echo "0" > /sys/kernel/debug/kgsl/kgsl-3d0/log_level_drv
echo "0" > /sys/kernel/debug/kgsl/kgsl-3d0/log_level_mem
echo "0" > /sys/kernel/debug/kgsl/kgsl-3d0/log_level_pwr

#PPM (Mediatek)
echo 1 > /proc/ppm/enabled
echo 0 0 > /proc/ppm/policy_status
echo 1 1 > /proc/ppm/policy_status
echo 2 0 > /proc/ppm/policy_status
echo 3 0 > /proc/ppm/policy_status
echo 4 0 > /proc/ppm/policy_status
echo 5 0 > /proc/ppm/policy_status
echo 6 1 > /proc/ppm/policy_status
echo 7 0 > /proc/ppm/policy_status
echo 8 0 > /proc/ppm/policy_status
echo 9 0 > /proc/ppm/policy_status

#Aol
echo 1 > /proc/gpufreq/gpufreq_power_limited
echo 1 > /proc/gpufreq/gpufreq_power_limited
echo 1 > /proc/gpufreq/gpufreq_power_limited
echo 1 > /proc/gpufreq/gpufreq_power_limited
cat /proc/gpufreq/gpufreq_power_limited

# PowerHal
echo -e 'com.mobile.legends\ncom.tencent.ig\ncom.miHoYo.GenshinImpact\ncom.tencent.tmgp.pubgmhd\ncom.dts.freefireth\ncom.dts.freefiremax\njp.konami.pesam\ncom.pubg.newstate\ncom.garena.game.codm\ncom.pubg.imobile\ncom.ea.gp.apexlegendsmobilefps\ncom.riotgames.league.wildrift\ncom.tencent.tmgp.sgame\ncom.tencent.iglite\ncom.vng.pubgmobile\ncom.miHoYo.bh3oversea\ncom.pubg.krmobile\ncom.rekoo.pubgm\ncom.activision.callofduty.shooter\ncom.je.supersus\ncom.levelinfinite.hotta.gp\ncom.ea.gp.fifamobile\ncom.pwrd.hotta.laohu\ncom.Shooter.ModernWarships\ncom.linecorp.LGGRTHN\ncom.wemade.mir4global\ncom.netease.mrzhna\ncom.carxtech.carxdr2\ncom.pou.zakeh\ncom.garena.game.kgid\ncom.gameloft.android.SAMS.GloftA9SS\ncom.kurogame.gplay.punishing.grayraven.en\ncom.mcpe.minecraftpe.pocket.edition.mcpeminecraftpocketedition\ncom.pearlabyss.blackdesertm.gl\ncom.firsttouchgames.dls7\nskynet.cputhrottlingtest\ncom.netmarble.sololv\ncom.netease.newspike\ncom.HoYoverse.hsr.google\nnet.kdt.pojavlaunch\ncom.mojang.minecraftpe\ncom.activision.callofduty.warzone\ncom.gamedevltd.wwh\ncom.galasports.totalfootball\ncom.kurogame.wutheringwaves.global\ncom.craftsman.go\ncom.roblox.client\ncom.global.extremegames.arenabreakout\n' > /data/vendor/powerhal/smart

#I/O 
echo 'cfq' > /sys/block/mmcblk0/queue/scheduler
echo 'cfq' > /sys/block/mmcblk1/queue/scheduler
echo '1024' > /sys/block/mmcblk0/queue/read_ahead_kb
echo '1024' > /sys/block/mmcblk1/queue/read_ahead_kb
echo "75" > /sys/devices/system/cpu/cpufreq/performance/up_threshold
echo "40000" > /sys/devices/system/cpu/cpufreq/performance/sampling_rate
echo "5" > /sys/devices/system/cpu/cpufreq/performance/sampling_down_factor
echo "20" > /sys/devices/system/cpu/cpufreq/performance/down_threshold
echo "25" > /sys/devices/system/cpu/cpufreq/performance/freq_step/sys/class/kgsl/kgsl-3d0/devfreq/governor
echo "cfq" > /sys/block/sda/queue/scheduler
echo "1024" > /sys/block/sda/queue/read_ahead_kb
echo "0" > /sys/block/sda/queue/rotational
echo "0" > /sys/block/sda/queue/iostats
echo "0" > /sys/block/sda/queue/add_random
echo "1" > /sys/block/sda/queue/rq_affinity
echo "0" > /sys/block/sda/queue/nomerges
echo "1024" > /sys/block/sda/queue/nr_requests
echo "cfq" > /sys/block/sdb/queue/scheduler
echo "1024" > /sys/block/sdb/queue/read_ahead_kb
echo "0" > /sys/block/sdb/queue/rotational
echo "0" > /sys/block/sdb/queue/iostats
echo "0" > /sys/block/sdb/queue/add_random
echo "1" > /sys/block/sdb/queue/rq_affinity
echo "0" > /sys/block/sdb/queue/nomerges
echo "1024" > /sys/block/sdb/queue/nr_requests
echo "cfq" > /sys/block/sdc/queue/scheduler
echo "1024" > /sys/block/sdc/queue/read_ahead_kb
echo "0" > /sys/block/sdc/queue/rotational
echo "0" > /sys/block/sdc/queue/iostats
echo "0" > /sys/block/sdc/queue/add_random
echo "1" > /sys/block/sdc/queue/rq_affinity
echo "0" > /sys/block/sdc/queue/nomerges
echo "1024" > /sys/block/sdc/queue/nr_requests
echo "cfq" > /sys/block/sdd/queue/scheduler
echo "1024" > /sys/block/sdd/queue/read_ahead_kb
echo "0" > /sys/block/sdd/queue/rotational
echo "0" > /sys/block/sdd/queue/iostats
echo "0" > /sys/block/sdd/queue/add_random
echo "1" > /sys/block/sdd/queue/rq_affinity
echo "0" > /sys/block/sdd/queue/nomerges
echo "1024" > /sys/block/sdd/queue/nr_requests
echo "cfq" > /sys/block/sde/queue/scheduler
echo "1024" > /sys/block/sde/queue/read_ahead_kb
echo "0" > /sys/block/sde/queue/rotational
echo "0" > /sys/block/sde/queue/iostats
echo "0" > /sys/block/sde/queue/add_random
echo "1" > /sys/block/sde/queue/rq_affinity
echo "0" > /sys/block/sde/queue/nomerges
echo "1024" > /sys/block/sde/queue/nr_requests
echo "cfq" > /sys/block/sdf/queue/scheduler
echo "1024" > /sys/block/sdf/queue/read_ahead_kb
echo "0" > /sys/block/sdf/queue/rotational
echo "0" > /sys/block/sdf/queue/iostats
echo "0" > /sys/block/sdf/queue/add_random
echo "1" > /sys/block/sdf/queue/rq_affinity
echo "0" > /sys/block/sdf/queue/nomerges
echo "1024" > /sys/block/sdf/queue/nr_requests
echo "cfq" > /sys/block/mmcblk0/queue/scheduler
echo "1024" > /sys/block/mmcblk0/queue/read_ahead_kb
echo "0" > /sys/block/mmcblk0/queue/rotational
echo "0" > /sys/block/mmcblk0/queue/iostats
echo "0" > /sys/block/mmcblk0/queue/add_random
echo "1" > /sys/block/mmcblk0/queue/rq_affinity
echo "0" > /sys/block/mmcblk0/queue/nomerges
echo "1024" > /sys/block/mmcblk0/queue/nr_requests

echo '0' > /sys/module/mmc_core/parameters/use_spi_crc
echo 'N' > /sys/module/sync/parameters/fsync_enabled
echo '0' >/sys/kernel/dyn_fsync/Dyn_fsync_active 

# // disable power saver adaptive
   cmd power set-adaptive-power-saver-enabled false

# // Perf set-fixed
   cmd power set-fixed-performance-mode-enabled true
  
# // dropbox disabler
   settings put global dropbox:dumpsys:procstats null
   settings put global dropbox:dumpsys:usagestats null

# Gaming Power
chmod 644 /sys/module/workqueue/parameters/power_efficient
echo '0' > /sys/module/overheat_mitigation/parameters/enable
echo "200" > /sys/devices/system/cpu/cpufreq/policy0/schedutil/down_rate_limit_us
echo "3000" > /sys/devices/system/cpu/cpufreq/policy0/schedutil/up_rate_limit_us
echo "200" > /sys/devices/system/cpu/cpufreq/policy4/schedutil/down_rate_limit_us
echo "4000" > /sys/devices/system/cpu/cpufreq/policy4/schedutil/up_rate_limit_us
echo "100" > /sys/devices/system/cpu/cpufreq/policy0/schedutil/hispeed_load
echo "100" > /sys/devices/system/cpu/cpufreq/policy4/schedutil/hispeed_load
echo "100" > /sys/devices/system/cpu/cpufreq/policy0/schedutil/go_hispeed_load
echo '100' > /sys/devices/system/cpu/cpufreq/policy4/schedutil/go_hispeed_load
echo "0" > /sys/devices/system/cpu/cpufreq/schedutil/above_hispeed_delay 
echo "1" > /sys/module/msm_schedutil/parameters/touchboost;
echo "1" > /sys/devices/system/cpu/cpufreq/policy0/schedutil/boost
echo "1" > /sys/devices/system/cpu/cpufreq/policy4/schedutil/boost
echo "0" > /sys/devices/system/cpu/cpufreq/schedutil/above_hispeed_delay
echo "1" > /sys/devices/system/cpu/cpufreq/schedutil/boost
echo "0" > /sys/module/adreno_idler/parameters/adreno_idler_active 
echo "8" > /sys/module/lazyplug/parameters/nr_possible_cores
echo "1555200" > /sys/devices/system/cpu/cpufreq/policy0/scaling_boost_frequencies;
echo "2016000" > /sys/devices/system/cpu/cpufreq/policy4/scaling_boost_frequencies;
echo "2534400" > /sys/devices/system/cpu/cpufreq/policy7/scaling_boost_frequencies;
echo "schedutil" > /sys/devices/system/cpu/cpufreq/policy0/scaling_governor;
echo "schedutil" > /sys/devices/system/cpu/cpufreq/policy4/scaling_governor;
echo "schedutil" > /sys/devices/system/cpu/cpufreq/policy7/scaling_governor;

#Adreno Boost 
echo 0 > /sys/class/kgsl/kgsl-3d0/devfreq/adrenoboost
echo 0 > /sys/module/msm_performance/parameters/touchboost

for i in /sys/class/kgsl/kgsl-3d0 ; do

	echo 0 > $i/thermal_pwrlevel
    echo 0 > $i/throttling 
    echo 0 > $i/max_pwrlevel
    echo 0 > $i/perfcounter
    echo 1 > $i/force_clk_on
    echo 0 > $i/force_bus_on
    echo 1 > $i/force_rail_on
    echo 1 > $i/force_no_nap
    echo 1 > $i/bus_split

#Fstrim 
fstrim /data;
fstrim /system;
fstrim /cache;
fstrim /vendor;
fstrim /product;

# Cpu Input Boost
write /sys/module/cpu_input_boost/parameters/input_boost_duration "0"
write /sys/module/cpu_input_boost/parameters/dynamic_stune_boost_duration "0"
write /sys/module/cpu_input_boost/parameters/dynamic_stune_boost "80"

# Gpu Tweaks
echo "0" > /sys/class/kgsl/kgsl-3d0/throttling
echo "1" > /sys/class/kgsl/kgsl-3d0/default_pwrlevel
echo "1" > /sys/class/kgsl/kgsl-3d0/force_clk_on
echo "1" > /sys/class/kgsl/kgsl-3d0/force_bus_on
echo "1" > /sys/class/kgsl/kgsl-3d0/force_rail_on
echo "1" > /sys/class/kgsl/kgsl-3d0/force_no_nap

# Dev Stune Boost
# Fast Sensivity in Game
write /dev/stune/background/schedtune.boost "20"
write /dev/stune/background/schedtune.prefer_idle "0"
write /dev/stune/background/schedtune.colocate "0"
write /dev/stune/background/schedtune.sched_boost_enabled "0"

write /dev/stune/foreground/schedtune.boost "20"
write /dev/stune/foreground/schedtune.prefer_idle "0"
write /dev/stune/foreground/schedtune.colocate "0"
write /dev/stune/foreground/schedtune.sched_boost_enabled "0"

write /dev/stune/rt/schedtune.boost "20"
write /dev/stune/rt/schedtune.prefer_idle "0"
write /dev/stune/rt/schedtune.colocate "0"
write /dev/stune/rt/schedtune.sched_boost_enabled "0"

write /dev/stune/top-app/schedtune.boost "20"
write /dev/stune/top-app/schedtune.prefer_idle "0"
write /dev/stune/top-app/schedtune.colocate "0"
write /dev/stune/top-app/schedtune.sched_boost_enabled "0"

write /dev/stune/schedtune.boost "20"
write /dev/stune/schedtune.prefer_idle "0"
write /dev/stune/schedtune.colocate "0"
write /dev/stune/schedtune.sched_boost_enabled "0"

#Disable Unessesary
echo "0" > /proc/sys/kernel/nmi_watchdog
echo "0" > /proc/sys/kernel/compat-log
echo "Y" > /sys/module/bluetooth/parameters/disable_ertm
echo "Y" > /sys/module/bluetooth/parameters/disable_esco
echo "0" > /sys/module/dwc3/parameters/ep_addr_rxdbg_mask
echo "0" > /sys/module/dwc3/parameters/ep_addr_txdbg_mask
echo "0" > /sys/module/dwc3_msm/parameters/disable_host_mode
echo "0" > /sys/module/hid_apple/parameters/fnmode
echo "0" > /sys/module/hid/parameters/ignore_special_drivers
echo "N" > /sys/module/hid_magicmouse/parameters/emulate_3button
echo "N" > /sys/module/hid_magicmouse/parameters/emulate_scroll_wheel
echo "0" > /sys/module/hid_magicmouse/parameters/scroll_speed
echo "N" > /sys/module/mdss_fb/parameters/backlight_dimmer
echo "Y" > /sys/module/workqueue/parameters/power_efficient
echo "N" > /sys/module/sync/parameters/fsync_enabled
echo "0" > /sys/module/binder/parameters/debug_mask
echo "0" > /sys/module/debug/parameters/enable_event_log
echo "0" > /sys/module/glink/parameters/debug_mask
echo "N" > /sys/module/ip6_tunnel/parameters/log_ecn_error
echo "0" > /sys/module/subsystem_restart/parameters/enable_ramdumps
echo "0" > /sys/module/lowmemorykiller/parameters/debug_level
echo "0" > /sys/module/msm_show_resume_irq/parameters/debug_mask
echo "0" > /sys/module/msm_smd_pkt/parameters/debug_mask
echo "N" > /sys/module/sit/parameters/log_ecn_error
echo "0" > /sys/module/smp2p/parameters/debug_mask
echo "0" > /sys/module/usb_bam/parameters/enable_event_log
echo "Y" > /sys/module/printk/parameters/console_suspend
echo "N" > /sys/module/printk/parameters/cpu
echo "Y" > /sys/module/printk/parameters/ignore_loglevel
echo "N" > /sys/module/printk/parameters/pid
echo "N" > /sys/module/printk/parameters/time
echo "0" > /sys/module/service_locator/parameters/enable
echo "1" > /sys/module/subsystem_restart/parameters/disable_restart_work


#Disable debug log
find /sys/ -name debug_mask -exec sh -c 'echo "0" > "$1"' _ {} \;
find /sys/ -name debug_level -exec sh -c 'echo "0" > "$1"' _ {} \;
find /sys/ -name edac_mc_log_ce -exec sh -c 'echo "0" > "$1"' _ {} \;
find /sys/ -name edac_mc_log_ue -exec sh -c 'echo "0" > "$1"' _ {} \;
find /sys/ -name enable_event_log -exec sh -c 'echo "0" > "$1"' _ {} \;
find /sys/ -name log_ecn_error -exec sh -c 'echo "0" > "$1"' _ {} \;
find /sys/ -name snapshot_crashdumper -exec sh -c 'echo "0" > "$1"' _ {} \;
find /sys/kernel/debug/kgsl/kgsl-3d0/ -name '*log*' -exec sh -c 'echo "0" > "$1"' _ {} \;

for sched in /sys/kernel/debug/sched_features/*; do
  echo "NO_GENTLE_FAIR_SLEEPERS" > "$sched"
  echo "NO_HRTICK" > "$sched"
  echo "NO_DOUBLE_TICK" > "$sched"
  echo "NO_RT_RUNTIME_SHARE" > "$sched"
  echo "NEXT_BUDDY" > "$sched"
  echo "NO_TTWU_QUEUE" > "$sched"
  echo "UTIL_EST" > "$sched"
  echo "ARCH_CAPACITY" > "$sched"
  echo "ARCH_POWER" > "$sched"
  echo "ENERGY_AWARE" > "$sched"
done
echo "0" > /proc/sys/kernel/sched_tunable_scaling


android_properties="
debug.sf.disable_backpressure=1
debug.sf.latch_unsignaled=1
debug.sf.enable_hwc_vds=0
debug.sf.early_phase_offset_ns=500000
debug.sf.early_app_phase_offset_ns=500000
debug.sf.early_gl_phase_offset_ns=3000000
debug.sf.early_gl_app_phase_offset_ns=15000000
debug.sf.high_fps_early_phase_offset_ns=6100000
debug.sf.high_fps_early_gl_phase_offset_ns=650000
debug.sf.high_fps_late_app_phase_offset_ns=100000
debug.sf.phase_offset_threshold_for_next_vsync_ns=6100000
debug.sf.showupdates=0
debug.sf.showcpu=0
debug.sf.showbackground=0
debug.sf.showfps=0
debug.sf.hw=1
debug.persist.log.tag=0
"

  echo "$android_properties" | while IFS= read -r prop; do
    prop_name="${prop%%=*}"
    prop_value="${prop#*=}"
    resetprop -n "$prop_name" "$prop_value"
  done

  if [ -d "/sys/devices/system/cpu/cpu0" ]; then
    max_freq_0=$(read_file "/sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)
  fi
  if [ -d "/sys/devices/system/cpu/cpu1" ]; then
    max_freq_1=$(read_file "/sys/devices/system/cpu/cpu1/cpufreq/scaling_available_frequencies" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)
  fi
  if [ -d "/sys/devices/system/cpu/cpu2" ]; then
    max_freq_2=$(read_file "/sys/devices/system/cpu/cpu2/cpufreq/scaling_available_frequencies" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)
  fi
  if [ -d "/sys/devices/system/cpu/cpu3" ]; then
    max_freq_3=$(read_file "/sys/devices/system/cpu/cpu3/cpufreq/scaling_available_frequencies" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)
  fi
  if [ -d "/sys/devices/system/cpu/cpu4" ]; then
    max_freq_4=$(read_file "/sys/devices/system/cpu/cpu4/cpufreq/scaling_available_frequencies" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)
  fi
  if [ -d "/sys/devices/system/cpu/cpu5" ]; then
    max_freq_5=$(read_file "/sys/devices/system/cpu/cpu5/cpufreq/scaling_available_frequencies" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)
  fi
  if [ -d "/sys/devices/system/cpu/cpu6" ]; then
    max_freq_6=$(read_file "/sys/devices/system/cpu/cpu6/cpufreq/scaling_available_frequencies" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)
  fi
  if [ -d "/sys/devices/system/cpu/cpu7" ]; then
    max_freq_7=$(read_file "/sys/devices/system/cpu/cpu7/cpufreq/scaling_available_frequencies" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)
  fi

  max_clock_gpu=$(read_file "/sys/kernel/gpu/gpu_freq_table" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)

  max_clock_kgsl=$(read_file "/sys/class/kgsl/kgsl-3d0/freq_table_mhz" | tr " " "\n" | sort -n | sed '/^$/d' | tail -n 1)

  write_file "/sys/module/lowmemorykiller/parameters/minfree" "5120,6144,7168,8192,9216,10240"

  for queue in /sys/block/mmcblk*/queue; do
    write "$queue/scheduler" "none"
    write_file "$queue/add_random" "0"
    write_file "$queue/iostats" "0"
    write_file "$queue/read_ahead_kb" "256"
    write_file "$queue/nr_requests" "128"
  done
sleep 80
done
